<?php
    if (! current_user_can( 'manage_options')) wp_die(_e('No tienes permisos','no-api-amazon-affiliate'));
    require_once(NAAA_PATH_INC.'naaa-functions.php');

    //save data
    if(isset($_POST['naaa_btn_guardar'])){
        $naaa_asin_item = sanitize_text_field($_POST['naaa_asin_item']);
        $naaa_market = sanitize_key($_POST['naaa_market']);

        //find element info, and save if is new.
        if (naaa_is_valid_asin_item($naaa_asin_item) && naaa_is_valid_market($naaa_market)){
            naaa_get_item_data($naaa_asin_item, $naaa_market);
        }
        
    }

    //load data
    $query = "SELECT * FROM {$wpdb->prefix}naaa_item_amazon";
    $lista_items_amazon = $wpdb->get_results($query, ARRAY_A);
    if(empty($lista_items_amazon)) $lista_items_amazon = array();

?>

<div class="wrap">
    <h1 class="wp-heading-inline"> <?php echo get_admin_page_title() ?></h1>
    <a id="naaa_button_add_item_amazon" class="page-title-action"><?php _e('Añadir producto', 'no-api-amazon-affiliate') ?></a>
    <br><br>

    <table class="wp-list-table widefat fixed striped pages">
        <thead>
            <tr>
            <th><?php _e('Imagen Url', 'no-api-amazon-affiliate') ?></th>
            <th style="width:30%"><?php _e('Título', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('ASIN', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Precio', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Precio anterior', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Valoración', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Opiniones', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Prime', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Mercado', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Actualizado (hora-servidor)', 'no-api-amazon-affiliate') ?></th>
            <th><?php _e('Acciones', 'no-api-amazon-affiliate') ?></th>
            </tr>
        </thead>
        <tbody id="item-list">
            <?php
                foreach ($lista_items_amazon as $item => $value) {
                    echo '
                    <tr>
                        <td><img src="'.esc_url($value['imagen_url']).'_AC_AC_SR80,80_.jpg" height="80" width="80" alt="'.esc_html($value['imagen_url']).'_AC_AC_SR80,80_.jpg"></td>
                        <td>'.esc_html($value['titulo']).'<br><a target="_blank" rel="nofollow" href="'.esc_url(naaa_get_amazon_url_product($value['asin'], $value['mercado'])).'">'.esc_html__( 'Ver en Amazon', 'no-api-amazon-affiliate' ).'<span class="dashicons dashicons-external"></span></a></td>
                        <td><strong>'.esc_html($value['asin']).'</strong></td>
                        <td>'.esc_html($value['precio']).'</td>
                        <td>'.esc_html($value['precio_anterior']).'</td>
                        <td>'.esc_html($value['valoracion']).'</td>
                        <td>'.esc_html($value['opiniones']).'</td>
                        <td>'.esc_html($value['prime']).'</td>
                        <td>'.esc_html($value['mercado']).'</td>
                        <td>'.esc_html($value['fecha_ultimo_update']).'</td>
                        <td>
                            <a data-asin="'.esc_html($value['asin']).'" data-market="'.esc_html($value['mercado']).'" class="button naaa_btn_update"><span class="dashicons dashicons-update"></span></a>
                            <a data-asin="'.esc_html($value['asin']).'" data-market="'.esc_html($value['mercado']).'" class="button naaa_btn_delete"><span class="dashicons dashicons-trash"></span></a>
                        </td>
                    </tr>
                    ';
                }
            ?>
            
        </tbody>
    </table>
</div>

<!-- Modal -->
<div class="modal fade" id="addAmazonItemModal" tabindex="-1" aria-labelledby="addAmazonItemModalLabel" aria-hidden="true">
  <div class="modal-dialog">
  <form method="post" role="form">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="addAmazonItemModalLabel"><?php _e('Insertar nuevo producto Amazon', 'no-api-amazon-affiliate') ?></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
            <p>
                <?php _e('Nota: No es necesario que agregues los productos de forma manual. <strong>Se agregan automáticamente</strong> cuando se usan en el shortcode.', 'no-api-amazon-affiliate') ?>
            </p>
            <div class="form-group row">
                <label for="naaa_asin_item" class="col-sm-4"><?php _e('Asin del producto:', 'no-api-amazon-affiliate') ?></label>
                <div class="col-sm-8">
                    <input type="text" id="naaa_asin_item" name="naaa_asin_item" style="width:100%" placeholder="<?php _e('Ej. B002UP16AQ', 'no-api-amazon-affiliate') ?>">
                </div>
                <br><br>
                <label for="naaa_amazon_country" class="col-sm-4"><?php _e('Tienda Amazon:', 'no-api-amazon-affiliate') ?></label>
                <div class="col-sm-8">
                    <select name="naaa_market" id="amazon_country">
                        <option value="ca" <?php selected(get_option('naaa_amazon_country', 'es'), 'ca'); ?>>(CA) <?php _e('Canadá', 'no-api-amazon-affiliate') ?></option>
                        <option value="de" <?php selected(get_option('naaa_amazon_country', 'es'), 'de'); ?>>(DE) <?php _e('Alemania', 'no-api-amazon-affiliate') ?></option>
                        <option value="es" <?php selected(get_option('naaa_amazon_country', 'es'), 'es'); ?>>(ES) <?php _e('España', 'no-api-amazon-affiliate') ?></option>
                        <option value="fr" <?php selected(get_option('naaa_amazon_country', 'es'), 'fr'); ?>>(FR) <?php _e('Francia', 'no-api-amazon-affiliate') ?></option>
                        <option value="gb" <?php selected(get_option('naaa_amazon_country', 'es'), 'gb'); ?>>(GB) <?php _e('Reino Unido', 'no-api-amazon-affiliate') ?></option>
                        <option value="it" <?php selected(get_option('naaa_amazon_country', 'es'), 'it'); ?>>(IT) <?php _e('Italia', 'no-api-amazon-affiliate') ?></option>
                        <option value="jp" <?php selected(get_option('naaa_amazon_country', 'es'), 'jp'); ?>>(JP) <?php _e('Japón', 'no-api-amazon-affiliate') ?></option>
                        <option value="us" <?php selected(get_option('naaa_amazon_country', 'es'), 'us'); ?>>(US) <?php _e('Estados Unidos', 'no-api-amazon-affiliate') ?></option>
                    </select>
                </div>
                <br>
            </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?php _e('Cerrar', 'no-api-amazon-affiliate') ?></button>
        <button type="submit" class="btn btn-primary" name="naaa_btn_guardar" id="naaa_btn_guardar"><?php _e('Insertar producto', 'no-api-amazon-affiliate') ?></button>
      </div>
    </div>
    </form>
  </div>
</div>